import 'package:material_x/material_x.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    mxStatusBar();
    return HomePage().mxMaterialApp(title: 'zeeshan');
  }
}

class HomePages extends StatefulWidget {
  @override
  _HomePagesState createState() => _HomePagesState();
}

class _HomePagesState extends State<HomePages> {
  @override
  Widget build(BuildContext context) {
    return (BuildContext context, int index) {
      return AnimationConfiguration.staggeredList(
        position: index,
        duration: const Duration(milliseconds: 1000),
        child: ListTile(
          title: index.toString().textMaterial(),
        ).mxContainer(color: Colors.red).mxap(value: 20.0).mxFA().mxSA(),
      );
    }.mxListVB(itemCount: 100).mxAnimationLimiter().mxScaffold();
  }
}

class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();

  static const TextStyle optionStyle =
      TextStyle(fontSize: 30, fontWeight: FontWeight.bold);
  static const List<Widget> _widgetOptions = <Widget>[
    Text(
      'Index 0: Home',
      style: optionStyle,
    ),
    Text(
      'Index 1: Business',
      style: optionStyle,
    ),
    Text(
      'Index 2: School',
      style: optionStyle,
    ),
  ];
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return <Widget>[
      "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."
          .mxExpandableText()
          .mxap(value: 20.0)
    ]
        .mxListView()
        .mxScaffold(
            bottomNavigationBar: <BottomNavigationBarItem>[
          BottomNavigationBarItem(
            icon: Icons.home.mxIcons(),
            title: Text('Home'),
          ),
          BottomNavigationBarItem(
            icon: Icons.business.mxIcons(),
            title: Text('Business'),
          ),
          BottomNavigationBarItem(
            icon: Icons.school.mxIcons(),
            title: Text('School'),
          ),
        ].mxBottomNavigationBar(
          currentIndex: selectedIndex,
          selectedItemColor: Colors.amber[800],
          onTap: onItemTapped,
        ))
        .mxSafeArea();
  }

  int selectedIndex = 0;

  void onItemTapped(int index) {
    setState(() {
      selectedIndex = index;
    });
  }
}
